<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>AI Dermatology</title>
    <link rel="stylesheet" href="./css/style.css">
</head>
<body>
    <div class="container">     
        <header>
            <a href="#" class="logo" onclick="location.href='/index'">
                <img src="/images/logo.png" alt="Logo">
            </a>
        </header>
        <main>
            <video id="mainVideo" src="/videos/ai2.mp4" autoplay loop muted></video>
            <div class="about">
                <h5>Smart Skincare Begins with AI Acne Detection</h5>
                <h1>Your Personal <br> Face Scanner</h1>
                <h4>Transform Your Skin with an Unforgettable AI Dermatology Experience</h4>
                <a href="scan.html" class="discover">
                    <img src="/images/next.png" alt="Next">
                    Get start Now!
                </a>
            </div>
            <div class="hamburger-menu">
                <div class="bar"></div>
                <div class="bar"></div>
                <div class="bar"></div>
            </div>
            <ol class="links">
                <li><a href="#" class="active" onclick="location.href='/index'">Home</a></li>
                <li><a href="scan.html" onclick="location.href=''">Scan</a></li>
                <li><a href="product.html" onclick="location.href='/product'">Recommendation</a></li>
            </ol>
        </main>
        <!--start About Us--> 
    </div>
    <section id="about_us" class="home">
        <div class="description">
            <h1 class="title">
                <span class="gradient-text">About Us</span> 
            </h1>
            <p class="paragraph">
                Welcome to AI Dermatology! We're dedicated to revolutionizing skincare with 
                our cutting-edge AI dermatology face scanner. Our mission is to help you achieve 
                clearer, healthier skin through precise acne analysis and personalized treatment recommendations.
            </p>
            <h1 class="title">
                <span class="gradient-text">Our Vision</span> 
            </h1>
            <p>
                We aim to make professional skincare accessible to everyone, leveraging AI technology to provide accurate, effective solutions for all skin types.</p>
        </div>
        <div class="users-color-container">
            <span class="item" style="--i: 1"></span>
            <img class="item" src="/images/yba.png" style="--i: 2" alt="" />
            <span class="item" style="--i: 3"></span>
            <img class="item" src="/images/kun.png" style="--i: 4" alt="" />
            <img class="item" src="/images/sher.png" style="--i: 10" alt="" />
            <span class="item" style="--i: 11"></span>
            <img class="item" src="/images/logo.png" style="--i: 12" alt="" />
            <span class="item" style="--i: 5"></span>
            <span class="item" style="--i: 9"></span>
            <img class="item" src="/images/lel.png" style="--i: 8" alt="" />
            <span class="item" style="--i: 7"></span>
            <img class="item" src="/images/kelz.png" style="--i: 6" alt="" />
        </div>
    </section>
    <section id="k">
        <div id="large-header" class="large-header">
            <canvas id="demo-canvas"></canvas>
            <div class="content">
                <h1 class="main-title">Analyze your <span class="thin">face</span></h1>
                <p class="collection">
                    Experience effortless skincare analysis with AI Dermatology.<br> 
                    Upload a photo or click with your device's camera for instant skin assessment and<br>
                    personalized recommendations. Clearer skin is just a click away!
                </p>
                 <button id="upload_btn" onclick="location.href='scan.html'">Upload</button>
            </div>
        </div>
    </section>
    <section id="product" class="product-section">
      <div class="background-image"></div> <!-- Add a container for the background image -->
      <div class="description">
          <h1 class="title1">
              <span class="gradient-text">Smart Skincare Solutions</span> 
          </h1>
          <p class="paragraph">
            Unlock tailored skincare solutions with AI technology:<br>
            effective, personalized, and sustainable. From personalized regimens to <br>
            proactive recommendations, embrace innovation for your healthiest skin
          </p>
          <h1 class="title2">
              <span class="gradient-text">Our Recommendations</span> 
          </h1>
          <p>
              We offer a range of skincare products tailored to your skin type and concerns, all backed by AI technology for optimal results.</p>
          <button type="button" class="button" onclick="location.href='/product'">Get Recommendations</button>
        </div>
  </section>
   
    <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.9.1/gsap.min.js"></script>
    <script src="/js/script.js"></script>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
    const submitBtn = document.getElementById('submit-product-btn');
    submitBtn.addEventListener('click', submitProductQuiz);

    const closeBtn = document.getElementById('close-recommendation');
    closeBtn.addEventListener('click', function() {
        document.getElementById('product-recommendation').style.display = 'none';
        resetQuizForm();
    });
});

function validateForm() {
    const radioGroups = document.querySelectorAll('input[type="radio"]:checked');
    return radioGroups.length === 18; // Assuming there are 18 questions
}

function submitProductQuiz(event) {
    event.preventDefault(); // Prevent the default form submission behavior
    const allQuestionsAnswered = validateForm();
    if (!allQuestionsAnswered) {
        alert('Please answer all questions before submitting.');
        return;
    }
    fetch('/submit_quiz', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(getProductFormData())
    })
    .then(response => {
        if (!response.ok) {
            throw new Error('Network response was not ok ' + response.statusText);
        }
        return response.json();
    })
    .then(data => {
        if (data.error) {
            console.error('Error:', data.error);
        } else {
            displayProductRecommendations(data);
        }
    })
    .catch(error => {
        console.error('Error:', error);
    });
}

function getProductFormData() {
    const form = document.getElementById('quiz-form');
    const formData = new FormData(form);
    const jsonData = {};
    formData.forEach((value, key) => {
        jsonData[key] = value === 'Yes' ? 1 : 0;
    });
    return jsonData;
}

function displayProductRecommendations(data) {
    const recommendationsContainer = document.getElementById('recommendations');
    recommendationsContainer.innerHTML = ''; // Clear previous recommendations
    data.forEach(item => {
        const card = document.createElement('div');
        card.classList.add('card');
        card.innerHTML = `
            <h3>${item.brand} - ${item.name}</h3>
            <p>Price: ${item.price}</p>
            <p>Skin Type: ${item['skin type']}</p>
            <p>Concern: ${item.concern}</p>
            <img src="${item.image_url}" alt="${item.name}" />
        `;
        recommendationsContainer.appendChild(card);
    });
    document.getElementById('product-recommendation').style.display = 'block'; // Show the recommendations section
}

function resetQuizForm() {
    const form = document.getElementById('quiz-form');
    const radioInputs = form.querySelectorAll('input[type="radio"]');
    radioInputs.forEach(input => {
        input.checked = false;
    });
}

        // JavaScript to hide the video when the product section is displayed
        document.addEventListener('DOMContentLoaded', function() {
            var productSection = document.getElementById('product');
            var mainVideo = document.getElementById('mainVideo');
            
            // Hide the video when the product section comes into view
            var observer = new IntersectionObserver(function(entries) {
                entries.forEach(function(entry) {
                    if (entry.isIntersecting) {
                        mainVideo.pause(); // Pause the video
                    } else {
                        mainVideo.play(); // Play the video if not in the product section
                    }
                });
            }, { threshold: 0.5 }); // Adjust the threshold as needed

            observer.observe(productSection);
        });
        
    </script>
</body>
</html>
